body {
  margin: 0;
  font-family:
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    'Open Sans',
    'Helvetica Neue',
    sans-serif;
  font-size: 18px;
  color: white;
}

p {
  margin: 0;
}

a {
  color: rgb(175, 206, 220);
}

button:hover {
  cursor: pointer;
}

button:disabled:hover {
  cursor: not-allowed;
}

#btn-changeBg {
  position: absolute;
  top: 0;
  right: 0;
  background-color: transparent;
  border: 1px solid black;
  border-radius: 5px;
  font-size: 0.7rem;
}

.root {
  --water-color: rgba(175, 206, 220, 0.7);
  --fill-color: rgba(8, 39, 53, 0.8);
  background-image: url(./assets/beacon.jpg);
  background-size: cover;
  height: 100dvh;
  display: grid;
  grid-template-rows: min(200px, 20dvh) auto 1fr;
  grid-template-columns: minmax(auto, 50ch);
  justify-content: center;
  justify-items: center;
  overflow: hidden;
}

.text-container {
  padding: 0 min(20px, 5vw);
  align-content: end;
  color: black;

  .quote {
  }

  .author {
    text-align: end;
    font-size: 0.9rem;
  }
}

.display-timer {
  position: relative;
  /* border: 4px solid var(--water-color); */
  width: min(400px, 100dvw, 60dvh);
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  overflow: hidden;
}

.wave {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--fill-color);
}

.surface {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: linear-gradient(to bottom, var(--water-color), transparent);
  border-radius: 50%;
}

.moving {
  animation: fill 5s linear;
}

@keyframes fill {
  from {
    transform: translateY(100%);
  }

  to {
    transform: none;
  }
}

.timer {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: row;
}

.timer > span {
  font-size: clamp(10vh, 6rem, 20vh);
}

form {
  padding-top: 20px;
  display: flex;
  flex-direction: row;
  gap: 5px;
  --size: 3rem;

  & > * {
    border-radius: 50%;
    width: var(--size);
    height: var(--size);
  }

  input {
    border: 1px solid var(--fill-color);
    text-align: center;
    padding: 0;
    font-size: 1.1rem;

    &::-webkit-inner-spin-button {
      display: none;
    }
  }

  button {
    font-size: 2rem;
    background-color: var(--water-color);
    border: 1px solid var(--fill-color);
    padding: 0;

    &:disabled {
      opacity: 0.4;
    }

    & > svg {
      fill: var(--fill-color);
    }
  }
}

input:user-invalid {
  background-color: pink;
}

.footnote {
  font-size: 0.7rem;
  position: absolute;
  bottom: 5px;
  right: 5px;
}
